gnutls_pubkey_import_tpm_raw(3)

NAME
gnutls_pubkey_import_tpm_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_tpm_raw(gnutls_pubkey_t pkey, const gnutls_datum_t * fdata, gnutls_tpmkey_fmt_t format, const char * srk_password, unsigned int flags);

ARGUMENTS

gnutls_pubkey_t pkey
    The public key

const gnutls_datum_t * fdata
    The TPM key to be imported

gnutls_tpmkey_fmt_t format
    The format of the private key

const char * srk_password
    The password for the SRK key (optional)

unsigned int flags
    One of the GNUTLS_PUBKEY_* flags

DESCRIPTION
This function will import the public key from the provided TPM key structure. With respect to passwords the same as in gnutls_pubkey_import_tpm_url() apply.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.1.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/